Get users

Retrieves a list of users with optional filtering, sorting and pagination.

POST
/v1/users/search

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/users/search" \  -H "Content-Type: application/json" \  -d '{}'
{
  "searchTerm": "string",
  "sortDescriptor": {
    "field": "string",
    "direction": "asc"
  },
  "pagination": {
    "page": 1,
    "pageSize": 5,
    "totalPages": 0,
    "total": 0
  },
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "email": "user@example.com",
      "firstName": "string",
      "lastName": "string",
      "roleId": "7382d58e-652a-4905-b7c9-bcca1e0e5391",
      "status": "active",
      "country": "af",
      "avatarUrl": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
"string"
"string"
"string"
"string"